aboutsummaryrefslogtreecommitdiff
path: root/test/python/do_it.sh
diff options
context:
space:
mode:
authorJosh Spicer <joshspicer@github.com>2022-11-10 03:07:52 +0300
committerGitHub <noreply@github.com>2022-11-10 03:07:52 +0300
commitac02c107bedcc6d704c3591a2a212d9e65ede36c (patch)
tree2784701fcd5bcf25d1daaa6501be7351caffe596 /test/python/do_it.sh
parent3020d6da64798ee994d407ffd3ce3f800f6dff92 (diff)
Diffstat (limited to 'test/python/do_it.sh')
-rwxr-xr-xtest/python/do_it.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/test/python/do_it.sh b/test/python/do_it.sh
new file mode 100755
index 0000000..ec72b52
--- /dev/null
+++ b/test/python/do_it.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Always run these checks as the non-root user
+user="$(whoami)"
+
+which python3
+
+check "has python" python --version
+
+result=$(python3 -c 'import select; print(select)')
+echo "result: $result"
+
+check "select is built-in" bash -c "python3 -c 'import select; print(select)' | grep 'built-in'"
+
+reportResults